# brainage

## get_brainage.sh

This script is used for brain age prediction. Below is a description of each input arguments:

### Usage

```
./get_brainage.sh -input <input_directory> \
                  -output <output_directory> \
                  -BIDS <yes/no> \
                  -CONDOR <yes/no> \
                  -RAW <yes/no> \
                  -RUN_FILE <singularity_file_path> \
                  -SAVE_ALL <yes/no> \
                  -CONTAINER_PATH <path> \
```

* input: input directory (can be a folder containing raw or preprocessed T1 MR Image which can be .nii, .nii.gz or .mgz)
* output: output directory where the results will be stored in `<subject_name>_<model>.csv` 
* BIDS: are the input files stored in BIDS format ?
* CONDOR: provides a `condor.submit` file
* RAW: are the input files raw ?
* RUN_FILE: path to the `run_<model>.sh` file
* SAVE_ALL: Do you want to save the intermidiate files (for ex: `subject_features`), if yes then the files will be stored in the folder `<subject_name>_<model>`
* CONTAINER_PATH: path to the .sif image of the model

### brainageR folder:

1) Building the container

`singularity build brainageR.sif brainageR.def` (**not working at the moment**)

2) Run the `get_brainage.sh` with the proper files and paths

Example:

```
./get_brainage.sh -input <input_directory> \
                  -output <output_directory> \
                  -BIDS <yes/no> \
                  -CONDOR <yes/no> \
                  -RAW <yes/no> \
                  -RUN_FILE run_brainageR.sh \
                  -SAVE_ALL <yes/no> \
                  -CONTAINER_PATH <path/to/brainageR.sif> \
```

